CreateSubtitleUpload

POST/media/v1/projects/{project_id}/videos/{video_id}/subtitles/upload

Path Parameters

project_id*project_id

The project_id path parameter.

video_id*video_id

The video_id path parameter.

Request Body

required
application/json
{
  "type": "object",
  "properties": {
    "org_id": {
      "type": "string",
      "examples": [
        "OR98234j23"
      ],
      "title": "org_id"
    },
    "items": {
      "type": "array",
      "items": {
        "$ref": "#/components/schemas/videos.v1.TrackUploadItem",
        "$ref-value": {
          "type": "object",
          "properties": {
            "language_code": {
              "type": "string",
              "examples": [
                "en"
              ],
              "title": "language_code"
            },
            "label": {
              "type": "string",
              "title": "label"
            },
            "file_name": {
              "type": "string",
              "title": "file_name"
            },
            "format": {
              "type": "string",
              "title": "format"
            },
            "size": {
              "type": "string",
              "examples": [
                "104857600"
              ],
              "title": "size",
              "format": "int64"
            }
          },
          "title": "TrackUploadItem",
          "additionalProperties": false
        }
      },
      "title": "items",
      "minItems": 1
    }
  },
  "title": "CreateTrackUploadRequest",
  "additionalProperties": false
}
org_id?string
items?array<unknown>

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/videos.v1.TrackUpload",
  "$ref-value": {
    "type": "object",
    "properties": {
      "targets": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/videos.v1.TrackUploadTarget",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "examples": [
                  "Tg6Rf4e2W1"
                ],
                "title": "id"
              },
              "language_code": {
                "type": "string",
                "examples": [
                  "en"
                ],
                "title": "language_code"
              },
              "object_key": {
                "type": "string",
                "title": "object_key"
              },
              "upload_url": {
                "type": "string",
                "examples": [
                  "https://cdn.example.com/video.mp4"
                ],
                "title": "upload_url"
              }
            },
            "title": "TrackUploadTarget",
            "additionalProperties": false
          }
        },
        "title": "targets"
      },
      "expires_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "examples": [
          "2026-01-15T10:30:00Z"
        ],
        "title": "expires_at"
      }
    },
    "title": "TrackUpload",
    "additionalProperties": false
  }
}
curl -X POST "https://api.rixl.com/media/v1/projects/Bq4y3QB38S/videos/FpzVPNx1cG/subtitles/upload" \
  -H "Content-Type: application/json" \
  -d '{}'

Success

application/json

{
  "$ref": "#/components/schemas/videos.v1.TrackUpload",
  "$ref-value": {
    "type": "object",
    "properties": {
      "targets": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/videos.v1.TrackUploadTarget",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "examples": [
                  "Tg6Rf4e2W1"
                ],
                "title": "id"
              },
              "language_code": {
                "type": "string",
                "examples": [
                  "en"
                ],
                "title": "language_code"
              },
              "object_key": {
                "type": "string",
                "title": "object_key"
              },
              "upload_url": {
                "type": "string",
                "examples": [
                  "https://cdn.example.com/video.mp4"
                ],
                "title": "upload_url"
              }
            },
            "title": "TrackUploadTarget",
            "additionalProperties": false
          }
        },
        "title": "targets"
      },
      "expires_at": {
        "allOf": [
          {
            "$ref": "#/components/schemas/google.protobuf.Timestamp",
            "$ref-value": {
              "type": "string",
              "examples": [
                "2023-01-15T01:30:15.01Z",
                "2024-12-25T12:00:00Z"
              ],
              "format": "date-time",
              "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
            }
          }
        ],
        "examples": [
          "2026-01-15T10:30:00Z"
        ],
        "title": "expires_at"
      }
    },
    "title": "TrackUpload",
    "additionalProperties": false
  }
}